<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\District;
use App\Models\Thana;
use Brian2694\Toastr\Facades\Toastr;

class ThanaController extends Controller
{
    function __construct()
    {
         // $this->middleware('permission:district-list', ['only' => ['index']]);
         // $this->middleware('permission:district-edit', ['only' => ['edit','update']]);
         // $this->middleware('permission:district-delete', ['only' => ['destroy']]);
    }

    public function index(Request $request)
    {

        $thanas = Thana::with('districtname')->orderBy('id','DESC')->get();
        return view('backEnd.thana.index',compact('thanas'));
    }
    
    public function create(){
        $districts = District::get();
        return view('backEnd.thana.create',compact('districts'));
    }
    
    public function store(Request $request){
        
        $input = $request->all();
        $input['slug'] = strtolower(preg_replace('/\s+/u', '-', trim($request->thana_name)));
        $input['status'] = 1;
        Thana::create($input);
        Toastr::success('Success','Data insert successfully');
        return redirect()->route('thanas.index');
        
    }

    public function edit($id)
    {
        $districts = District::get();
        
        $edit_data = Thana::find($id);
        
        return view('backEnd.thana.edit',compact('edit_data','districts'));
    }

    public function update(Request $request)
    {
      
        $update_data = Thana::find($request->id);
        $input = $request->all();
        $update_data->update($input);
        Toastr::success('Success','Data update successfully');
        return redirect()->route('thanas.index');
    }

    // public function district_charge(Request $request){
    //     $this->validate($request, [
    //         'shippingfee' => 'required',
    //     ]);
    //     $update_data = Thana::where('district',$request->district)->update([
    //             'shippingfee'=>$request->shippingfee
    //     ]);
    //     Toastr::success('Success','Data update successfully');
    //     return redirect()->route('districts.index');
    // }

}
