@extends('frontEnd.layouts.master')
@section('title', 'Customer Invoice')
@section('content')
    <style>
        .customer-invoice {
            margin-top: 150px;
        }

        .invoice_btn {
            margin-bottom: 15px;
        }

        td {
            font-size: 16px;
        }

        @page {
            size: a4;
            margin: 0mm;
            background: #F9F9F9
        }

        @media print {
            td {
                font-size: 18px;
            }

            header,
            footer,
            .no-print {
                display: none !important;
            }
        }

        .invoice-innter {
            width: 900px;

        }
        @media only screen and (min-width: 320px) and (max-width: 767px) {
            .invoice-innter {
                width: 100%;
            }
        }

    </style>
    <section class="customer-invoice ">
        <div class="container">
            <div class="row">
                <div class="col-sm-6">
                    <a href="{{ route('customer.orders') }}"><strong><i class="fa-solid fa-arrow-left"></i> Back To
                            Order</strong></a>
                </div>
                <div class="col-sm-6">
                    <button onclick="printFunction()" class="no-print invoice_btn"><i class="fa fa-print"></i></button>
                </div>
                <div class="col-sm-12 table-responsive-sm">
                    <div class="invoice-innter"
                        style="width:760px; margin: 0 auto;background: #fff;overflow: hidden;padding: 30px;padding-top: 0;">
                        <table style="width:100%">
                            <tr>
                                <td style="width: 40%; float: left; padding-top: 15px;">
                                    <img src="{{ asset($generalsetting->white_logo) }}" width="190px"
                                        style="margin-top:20px !important;margin-bottom:10px !important" alt="">
                                    <p style="font-size:16px;line-height:1.8;color:#222"><strong>Payment Method:</strong>
                                        {{ $order->payment ? $order->payment->payment_method : '' }}</p>
                                    @if ($order->payment ? $order->payment->trx_id : '')
                                        <p style="font-size:16px;line-height:1.8;color:#222"><strong>Trx
                                                ID:</strong>{{ $order->payment ? $order->payment->trx_id : '' }}</p>
                                        <p style="font-size:16px;line-height:1.8;color:#222">
                                            <strong>Sender:</strong>{{ $order->payment ? $order->payment->sender_number : '' }}
                                        </p>
                                    @endif
                                    <div class="invoice_form">
                                        <p style="font-size:16px;line-height:1.8;color:#222"><strong>Invoice From:</strong>
                                        </p>
                                        <p style="font-size:16px;line-height:1.8;color:#222">{{ $generalsetting->name }}</p>
                                        <p style="font-size:16px;line-height:1.8;color:#222">{{ $contact->phone }}</p>
                                        <p style="font-size:16px;line-height:1.8;color:#222">{{ $contact->email }}</p>
                                        <p style="font-size:16px;line-height:1.8;color:#222">{{ $contact->address }}</p>
                                    </div>
                                </td>
                                <td style="width:60%;float: left;">
                                    <div class="invoice-bar"
                                        style=" background: #00aef0; transform: skew(38deg); width: 100%; margin-left: 65px; padding: 20px 60px; ">
                                        <p
                                            style="font-size: 30px; color: #fff; transform: skew(-38deg); text-transform: uppercase; text-align: right; font-weight: bold;">
                                            Invoice</p>
                                    </div>
                                    <div class="invoice-bar"
                                        style="background:#fff; transform: skew(36deg); width: 80%; margin-left: 130px; padding: 12px 32px; margin-top: 6px;text-align:right">
                                        <p style="transform: skew(-36deg);display:inline-block">Invoice Date:
                                            <strong>{{ $order->created_at->format('d-m-y') }}</strong></p>
                                        <p style="transform: skew(-36deg);display:inline-block">Invoice No:
                                            <strong>{{ $order->invoice_id }}</p>
                                        </p>
                                    </div>
                                    <div class="invoice_to" style="padding-top: 20px;">
                                        <p style="font-size:16px;line-height:1.8;color:#222;text-align: right;">
                                            <strong>Invoice To:</strong></p>
                                        <p
                                            style="font-size:16px;line-height:1.8;color:#222;text-align: right;font-weight:normal">
                                            {{ $order->shipping ? $order->shipping->name : '' }}</p>
                                        <p
                                            style="font-size:16px;line-height:1.8;color:#222;text-align: right;font-weight:normal">
                                            {{ $order->shipping ? $order->shipping->phone : '' }}</p>
                                        <p
                                            style="font-size:16px;line-height:1.8;color:#222;text-align: right;font-weight:normal">
                                            {{ $order->shipping ? $order->shipping->district : '' }}</p>
                                        <p
                                            style="font-size:16px;line-height:1.8;color:#222;text-align: right;font-weight:normal">
                                            {{ $order->shipping ? $order->shipping->upazila : '' }}</p>
                                        <p
                                            style="font-size:16px;line-height:1.8;color:#222;text-align: right;font-weight:normal">
                                            {{ $order->shipping ? $order->shipping->village_name : '' }}</p>
                                        <p
                                            style="font-size:16px;line-height:1.8;color:#222;text-align: right;font-weight:normal">
                                            {{ $order->shipping ? $order->shipping->word_no : '' }}</p>
                                        <p
                                            style="font-size:16px;line-height:1.8;color:#222;text-align: right;font-weight:normal">
                                            {{ $order->shipping ? $order->shipping->address : '' }}</p>
                                        <p
                                            style="font-size:16px;line-height:1.8;color:#222;text-align: right;font-weight:normal">
                                            {{ $order->shipping ? $order->shipping->area : '' }}</p>
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <table class="table" style="margin-top: 30px">
                            <thead style="background: #00aef0; color: #fff;">
                                <tr>
                                    <th>SL</th>
                                    <th>Product</th>
                                    <th>Price</th>
                                    <th>Qty</th>
                                    <th>Total</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($order->orderdetails as $key => $value)
                                    <tr>
                                        <td>{{ $loop->iteration }}</td>
                                        <td>{{ $value->product_name }}</td>
                                        <td>৳{{ $value->sale_price }}</td>
                                        <td>{{ $value->qty }}</td>
                                        <td>৳{{ $value->sale_price * $value->qty }}</td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        <div class="invoice-bottom">

                            <table class="table" style="width: 300px; float: right;    margin-bottom: 30px;">
                                <tbody style="background:#f1f9f8">
                                    <tr>
                                        <td><strong>SubTotal</strong></td>
                                        <td><strong>৳{{ $order->amount + $order->discount - $order->cod_charge }}</strong>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><strong>Shipping(+)</strong></td>
                                        <td><strong>৳{{ $order->shipping_charge }}</strong></td>
                                    </tr>
                                    @if ($order->cod_charge > 0)
                                        <tr>
                                            <td><strong>Cod Charge(+)</strong></td>
                                            <td><strong>৳{{ $order->cod_charge }}</strong></td>
                                        </tr>
                                    @endif
                                    <tr>
                                        <td><strong>Discount(-)</strong></td>
                                        <td><strong>৳{{ $order->discount }}</strong></td>
                                    </tr>
                                    <tr style="background:#4DBC60;color:#fff">
                                        <td><strong>Final Total</strong></td>
                                        <td><strong>৳{{ $order->amount + $order->discount + $order->shipping_charge - $order->cod_charge }}</strong>
                                        </td>
                                    </tr>
                                    @if ($order->savings_pay > 0)
                                        <tr style="background:#00aef0;color:#fff">
                                            <td><strong>Savings Pay</strong></td>
                                            <td><strong>৳{{ $order->savings_pay }}</strong></td>
                                        </tr>
                                        <tr style="background:#00aef0;color:#fff">
                                            <td><strong>Due Amount</strong></td>
                                            <td><strong>৳{{ $order->amount + $order->discount + $order->shipping_charge - ($order->cod_charge + $order->savings_pay) }}</strong>
                                            </td>
                                        </tr>
                                    @endif
                                </tbody>
                            </table>
                            <div class="terms-condition"
                                style="overflow: hidden; width: 100%; text-align: center; padding: 20px 0; border-top: 1px solid #ddd;">
                                <h5 style="font-style: italic;"><a
                                        href="{{ route('page', ['slug' => 'terms-condition']) }}">Terms & Conditions</a></h5>
                                <p style="text-align: center; font-style: italic; font-size: 15px; margin-top: 10px;">* This
                                    is a computer generated invoice, does not require any signature.</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <script>
        function printFunction() {
            window.print();
        }
    </script>
@endsection
